DITAA(1)

NAME
ditaa - convert ASCII diagrams into proper bitmap graphics

SYNOPSIS
ditaa [options] input [output]

DESCRIPTION
This manual page documents briefly the ditaa command.

DiTAA is a small command-line utility that can convert diagrams drawn using ASCII art ("drawings" that contain characters that resemble lines, like | / and -), into proper bitmap graphics.

DiTAA also uses special markup syntax to increase the possibilities of shapes and symbols that can be rendered.

OPTIONS

--help
    Show summary of options.

-v, --verbose
    Makes ditaa more verbose.

-A, --no-antialias
    Turns anti-aliasing off.

-d, --debug
    Renders the debug grid over the resulting image.

-E, --no-separation
    Prevents the separation of common edges of shapes.

-e ENCODING, --encoding ENCODING
    The encoding of the input file.

-h, --html
    In this case the input is an HTML file. The contents of the <pre class="textdiagram"> tags are rendered as diagrams and saved in the images directory and a new HTML file is produced with the appropriate <img> tags.

-o, --overwrite
    If the filename of the destination image already exists, an alternative name is chosen. If the overwrite option is selected, the image file is instead overwriten.

-r, --round-corners
    Causes all corners to be rendered as round corners.

-s SCALE, --scale SCALE
    A natural number that determines the size of the rendered image. The units are fractions of the default size (2.5 renders 1.5 times bigger than the default).

-S, --no-shadows
    Turns off the drop-shadow effect.

-t TABS, --tabs TABS
    Tabs are normally interpreted as 8 spaces but it is possible to change that using this option. It is not advisable to use tabs in your diagrams.

AUTHOR
DiTAA was written by Efstathios (Stathis) Sideris.

This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (and may be used by others).